4 Replies Latest reply: Jan 31, 2013 4:10 PM by Niel
Fairy24Girl Level 1 Level 1 (0 points)

Hi... I have a problem about to upgrade OS X... for some reason my Mac need "Mountain Lion" aplication, but this program can be run in OS X 10.6, and my Mac is stil OS X 10.5. How to upgrade it? Pls help me, I really need it... Thanks


iPad, iOS 5.1